/* Copyright (c)1994-2000 Begemot Computer Associates. All rights reserved.
 * See the file COPYRIGHT for details of redistribution and use. */
/* $Id: tty.h 476 2001-07-09 08:09:10Z hbb $ */

# ifdef HAVE_GETOPT_H
#  include <getopt.h>
# endif

extern u_char	buf[];
extern int	got;
extern u_int	ticks;

void	nvt2bin(void);
void	bin2nvt(void);
void	deliacs(void);
void	insiacs(void);
void	makecs7(void);

void	tty_init(void);
void	tty_loop(int);

void	process_input(void);
void	process_output(void);
void	process_end(void);

void	Exit(int) DEAD_FUNC;
void	onsig(int);

# ifndef TCSASOFT
#  define TCSASOFT 0
# endif
